/* -----\/----- EXCLUDED -----\/-----

//`ifndef SYNTHESIS   
`ifdef SIM

localparam IDLE   = "IDLE  ";
localparam BUSY   = "BUSY  ";
localparam NONSEQ = "NONSEQ";
localparam SEQ    = "SEQ   ";
localparam htrans_width = 48;


// HRESP as defined in spec
localparam OKAY  = "OKAY ";
localparam ERROR = "ERROR";
localparam RETRY = "RETRY";
localparam SPLIT = "SPLIT";
localparam hresp_width = 40;

// HSIZE
localparam bits8    = "BYTE";
localparam bits16   = "HW  ";
localparam bits32   = "W   ";
localparam bits64   = "DW  ";
localparam bits128  = "QW  ";
localparam bits256  = "OW  ";
localparam bits512  = "DOW ";
localparam bits1024 = "QOW ";
localparam hsize_width = 32;


// Burst kind
localparam SINGLE = "SINGLE";
localparam INCR   = "INCR  ";
localparam WRAP4  = "WRAP4 ";
localparam INCR4  = "INCR4 ";
localparam WRAP8  = "WRAP8 ";
localparam INCR8  = "INCR8 ";
localparam WRAP16 = "WRAP16";
localparam INCR16 = "INCR16";
localparam hburst_width = 48;


localparam 	      FSMR_IDLE    = "IDLE";  // no ahb activity
localparam 	      FSMR_READ_P1 = "R_P1";  // ahb in read mode, pipe 1
localparam 	      FSMR_READ_P2 = "R_P2";  // ahb in read mode, pipe 2
localparam 	      FSMR_READ_P3 = "R_P3";  // ahb in read mode, pipe 3
localparam 	      FSMR_READ_P4 = "R_P4";  // ahb in read mode, pipe 4
localparam 	      FSMR_READ_P5 = "R_P5";  // ahb in read mode, pipe 5
localparam 	      FSMR_READ_P6 = "R_P6";  // ahb in read mode, pipe 6
localparam         fsm_read_width =32 ;


localparam 	      FSMW_IDLE  = "IDLE ";  // no ahb activity
localparam 	      FSMW_WRITE = "WRITE";  // ahb in active write
localparam 	      FSMW_BUSY  = "BUSY ";  // ahb in write mode, but busy   
localparam         fsm_write_width = 40;

`else
 -----/\----- EXCLUDED -----/\----- */

localparam IDLE    = 2'b00;
localparam  BUSY   = 2'b01;
localparam  NONSEQ = 2'b10;
localparam  SEQ    = 2'b11;
localparam htrans_width = 2;

// HRESP as defined in spec
localparam OKAY  = 2'b00;
localparam ERROR = 2'b01 ;
localparam RETRY = 2'b10 ;
localparam SPLIT = 2'b11;
localparam hresp_width = 2;

// HSIZE
localparam bits8    = 3'b000;
localparam bits16   = 3'b001;
localparam bits32   = 3'b010;
localparam bits64   = 3'b011 ;
localparam bits128  = 3'b100 ;
localparam bits256  = 3'b101 ;
localparam bits512  = 3'b110 ;
localparam bits1024 = 3'b111;
localparam hsize_width = 3;

// Burst kind
localparam SINGLE = 3'b000;
localparam INCR   = 3'b001;
localparam WRAP4  = 3'b010;
localparam INCR4  = 3'b011;
localparam WRAP8  = 3'b100;
localparam INCR8  = 3'b101;
localparam WRAP16 = 3'b110;
localparam INCR16 = 3'b111;
localparam hburst_width = 3;


localparam 	      FSMR_IDLE    = 3'b000;  // no ahb activity
localparam 	      FSMR_READ_P1 = 3'b001;  // ahb in read mode, pipe 1
localparam 	      FSMR_READ_P2 = 3'b010;  // ahb in read mode, pipe 2
localparam 	      FSMR_READ_P3 = 3'b011;  // ahb in read mode, pipe 3
localparam 	      FSMR_READ_P4 = 3'b100;  // ahb in read mode, pipe 4
localparam 	      FSMR_READ_P5 = 3'b101;  // ahb in read mode, pipe 5
localparam 	      FSMR_READ_P6 = 3'b110;  // ahb in read mode, pipe 6
localparam fsm_read_width = 3;

localparam 	      FSMW_IDLE  = 2'b00;  // no ahb activity
localparam 	      FSMW_WRITE = 2'b01;  // ahb in active write
localparam 	      FSMW_BUSY  = 2'b10;  // ahb in write mode, but busy   
localparam fsm_write_width = 2;

// `endif

